# Uses of Interface
org.springframework.aop.MethodBeforeAdvice

Packages that use MethodBeforeAdvice
Package
Description
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.

## Uses of MethodBeforeAdvice in org.springframework.aop.aspectj

Classes in org.springframework.aop.aspectj that implement MethodBeforeAdvice
Modifier and Type
Class
Description
`class`
`AspectJMethodBeforeAdvice`
Spring AOP advice that wraps an AspectJ before method.

## Uses of MethodBeforeAdvice in org.springframework.aop.framework.adapter

Constructors in org.springframework.aop.framework.adapter with parameters of type MethodBeforeAdvice
Modifier
Constructor
Description
``
`MethodBeforeAdviceInterceptor(MethodBeforeAdvice advice)`
Create a new MethodBeforeAdviceInterceptor for the given advice.